{"title":"Get salesInvoices","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a sales invoice object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":82,"chars":212},{"level":2,"title":"Request headers","slug":"request-headers","at":294,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":366,"chars":61},{"level":2,"title":"Response","slug":"response","at":427,"chars":125},{"level":2,"title":"Example","slug":"example","at":552,"chars":2448}],"text":"Retrieve the properties and relationships of a sales object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesInvoices({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a salesInvoices object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesInvoices({id})\n```\nTo get more data for a salesInvoice, use expand:\n```...\n\n**Response**\n\nHere's an example of the response.\n\n> [!NOTE]\n>   The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n\n```json\n{\n    \"id\": \"9e0f5c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\": \"PS-INV103001\",\n    \"externalDocumentNumber\": \"\",\n    \"invoiceDate\": \"2019-01-15\",\n    \"postingDate\": \"2019-01-15\",\n    \"dueDate\": \"2019-01-15\",\n    \"customerPurchaseOrderReference\": \"\",\n    \"customerId\": \"f3a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"customerNumber\": \"20000\",\n    \"customerName\": \"Trey Research\",\n    \"billToName\": \"Trey Research\",\n    \"billToCustomerId\": \"f3a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"billToCustomerNumber\": \"20000\",\n    \"shipToName\": \"Trey Research\",\n    \"shipToContact\": \"Helen Ray\",\n    \"sellToAddressLine1\": \"153 Thomas Drive\",\n    \"sellToAddressLine2\": \"\",\n    \"sellToCity\": \"Chicago\",\n    \"sellToCountry\": \"US\",\n    \"sellToState\": \"IL\",\n    \"sellToPostCode\": \"61236\",\n    \"billToAddressLine1\": \"153 Thomas Drive\",\n    \"billToAddressLine2\": \"\",\n    \"billToCity\": \"Chicago\",\n    \"billToCountry\": \"US\",\n    \"billToState\": \"IL\",\n    \"billToPostCode\": \"61236\",\n    \"shipToAddressLine1\": \"153 Thomas Drive\",\n    \"shipToAddressLine2\": \"\",\n    \"shipToCity\": \"Chicago\",\n    \"shipToCountry\": \"US\",\n    \"shipToState\": \"IL\",\n    \"shipToPostCode\": \"61236\",\n    \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n    \"currencyCode\": \"USD\",\n    \"orderId\": \"00000000-0000-0000-0000-000000000000\",\n    \"orderNumber\": \"\",\n    \"paymentTermsId\": \"0ba5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"shipmentMethodId\": \"00000000-0000-0000-0000-000000000000\",\n    \"salesperson\": \"PS\",\n    \"pricesIncludeTax\": false,\n    \"remainingAmount\": 0,\n    \"discountAmount\": 0,\n    \"discountAppliedBeforeTax\": true,\n    \"totalAmountExcludingTax\": 164.7,\n    \"totalTaxAmount\": 8.24,\n    \"totalAmountIncludingTax\": 172.94,\n    \"status\": \"Paid\",\n    \"lastModifiedDateTime\": \"2020-08-21T00:25:58.337Z\",\n    \"phoneNumber\": \"\",\n    \"email\": \"helen.ray@contoso.com\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesinvoice\ndynamics_salesinvoice_delete\ndynamics_salesinvoice_create\ndynamics_salesinvoice_update"}